Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 12 Jun 2021 09:21:00 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Order has been placed on 4th june 21 but till date the status is "processing" 
I called first time after 2 days from placing the order they said its still in the stores and we will send an email to expedit tge process of delivery 
Today is 12th june and i have not reveived any order 
I call again on 11 th june the agend said "yes its still in the stores" i said to him i know that becuase i didnt receive it he said will send another email for collection !!!! 
How many emails he should send to expedit the process ? 
This is totally bas experiance especially every where is delivering their products within maximim 2 days !! 
My feiend placed an order from max and she got it the next day !! So how come clients get fast than the others ??
I requested to cancel the order he said its already prepared but waiting to be collected for delivery 
Is that the case ?? 
Please i want to know when i will get my order 
And please note that i will nevery order from max again https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2703014